2010-07-23 02:43  

	* - fix deferencement on hash (instead hashref), warning triggered
	  by perl 5.12

2010-04-23 16:06  

	* only print debug message if debug callback is defined

2010-04-23 15:40  

	* 3.35

2010-04-23 15:39  

	* honour search medias when using --auto-select

2010-03-23 15:48  

	* 3.34.1

2010-03-23 15:47  

	* check selected packages for unsatisfied requires when a promoted
	  package is backtracked and no replacement is found
	  
	  (#57224, Anssi Hannula)

2010-03-23 15:47  

	* 3.34

2010-02-24 11:01  

	* adjust rpm.org/rpm5.org detection code
	  
	  It used to assume that rpm.org had version numbers < 4.7, but
	  it's
	  no longer true with rpm 4.8 being released. Test against 5.0
	  since
	  rpm5.org releases started at 5.0

2010-02-12 15:58  

	* check for conflicting selected packages before selecting a
	  package
	  
	  check for conflicting selected packages before selecting a
	  package
	  instead of after selecting it, to avoid having to unselect
	  package
	  in case of conflict (which incorrectly unselected packages with
	  unsatisfied dependencies as well, making the following
	  backtrack_selected
	  call behave wrongly as it simply noticed that the package is no
	  longer
	  required)
	  
	  Here's the second patch again, now with the function comment
	  updated
	  and added _remove_all_rejected_from() call so that prerejections
	  are
	  still cleared (this was previously called from the
	  removed disable_selected() call). Testsuites pass.
	  
	  Patch by Anssi Hannula, fixes #57224

2009-10-05 09:48  

	* 3.33

2009-10-03 15:18  

	* Improve previous fix

2009-10-03 14:56  

	* fix lookup of existing pubkeys (#53710)

2009-08-10 14:37  

	* update NEWS for 3.32

2009-08-10 14:37  

	* 3.32

2009-08-10 14:37  

	* comment out unused code

2009-08-10 14:37  

	* use set_rejected_and_compute_diff_provides for package removal
	  
	  Patch by Anssi Hannula, fixes bug #52667
	  
	  k1-1 provides k, but not k1-2
	  l-1 and l-2 requires k
	  m-1 requires k but not m-2
	  n requires m
	  
	  User has l-1, m-1, n-1, k1-1.
	  
	  There is only one upgrade path:
	  k1-1 -> k1-2
	  m-1 -> m-2
	  removal of l-1
	  
	  When transaction is created with all of them (e.g. what
	  --auto-select does
	  first), the path is resolved correctly.
	  However, when the upgrade is triggered with the upgrade of k1,
	  and l is in RPM
	  db before n, resolving proceeds as follows:
	  1. k1 selected and old version rejected
	  2. l is promoted
	  3. m is promoted
	  4. l-2 is therefore selected
	  5. no packages are found for k (as k1-1 was rejected in step 1)
	  6. backtrack_selected calls resolve_rejected to reject the chain
	  7. rejection process rejects l, m, n
	  8. m-2 is selected because of step 3
	  End result: n is wrongly removed.
	  
	  Therefore, when using --auto-select (with --split-length 1
	  --split-level 1 in
	  this small case, to force splitting) to trigger the upgrade, the
	  early resolve
	  is done correctly, but the first splitted transaction ("rpms
	  sorted by
	  dependencies" has k1 and m separately, so split is tried) tries
	  to remove n and
	  URPM fallbacks to single big transaction.
	  
	  In reverse, when using "urpmi k1" to trigger the upgrade, urpmi
	  asks user
	  confirmation for n removal, but the transaction is created with
	  both k1 and m
	  ("rpms sorted by dependencies" has k1+m, so they are put in same
	  transaction),
	  thus triggering the correct behaviour and n is not really removed
	  after all,
	  even if user agreed to it.
	  
	  Attached patch fixes this by switching backtrack_selected() to
	  use
	  set_rejected_and_compute_diff_provides() for package removal
	  instead of
	  resolve_rejected_(). The code already contained a comment
	  indicating that
	  diff_provides code should be applied.
	  The patch introduces no regression in the urpmi and perl-URPM
	  testsuites.

2009-08-05 20:24  

	* Obey options (keep, nodeps) when unselecting current package in
	  the case
	  that was added in 3.31 (Anssi Hannula). In a simple mistake,
	  %options was
	  not passed to backtrack_selected.

2009-08-05 20:17  

	* remove extra newline from NEWS

2009-08-05 11:15  

	* remove no longer used SPEC_VERIFY constant

2009-08-04 16:47  

	* disttag & distepoch isn't utf8…

2009-08-04 16:28  

	* cast (es-s) to U32 (as the hv_fetch prototype expects) rather
	  than casting strlen(s) to signed

2009-07-28 16:15  

	* 3.31

2009-07-28 16:15  

	* we need to link with rpmbuild with rpm 4.6

2009-07-28 13:16  

	* update NEWS file

2009-07-28 13:16  

	* add a backtrack entry "conflicts" for avoided packages in
	  backtrack_selected
	  
	  Patch from Anssi Hannula, fixes part of bug #52153

2009-07-28 13:15  

	* do not try to promote to an older package
	  
	  Patch by Anssi Hannula, fixes bug #52460
	  
	  When searching for possible promotions, _handle_diff_provides()
	  allows
	  downgrade as well as upgrade.
	  
	  However, downgrade is not currently supported, and will fail
	  early in
	  _no_more_recent_installed_and_providing(), called from
	  resolve_requested__no_suggests_().
	  
	  As no backtracking is done for early failures in this function
	  (should it be?
	  dunno), the promotion gets forgotten and a failing transaction
	  will occur.
	  
	  Simple fix is to only allow upgrade before doing the promotion.
	  Patch attached.
	  It introduces no regressions in urpmi or perl-URPM testsuite.

2009-07-28 13:15  

	* unselect current package if an avoided package is already
	  selected
	  
	  Patch by Anssi Hannula, fixes bug #52145
	  
	  If package 'a' Conflicts on 'b', and user (or a dependency chain)
	  tries to
	  install both at the same time, perl-URPM will only detect the
	  conflict if
	  package 'a' gets selected first (this depends on hdlist order),
	  as
	  _set_rejected_from is only called in one direction from
	  _handle_conflicts and
	  it does not detect that a package it is about to reject_from is
	  already
	  selected.
	  
	  This bug currently causes a failure in urpmi
	  handle-conflict-deps2 testcase.
	  
	  This commit checks if avoided package is already selected, and
	  unselects
	  current package in such a case

2009-07-28 13:15  

	* move part of _handle_conflicts to _handle_conflicts_with_selected
	  
	  Patch by Anssi Hannula, first step toward fixing bug #52145
	  
	  If package 'a' Conflicts on 'b', and user (or a dependency chain)
	  tries to
	  install both at the same time, perl-URPM will only detect the
	  conflict if
	  package 'a' gets selected first (this depends on hdlist order),
	  as
	  _set_rejected_from is only called in one direction from
	  _handle_conflicts and
	  it does not detect that a package it is about to reject_from is
	  already
	  selected.
	  
	  This patch moves part of _handle_conflicts to
	  _handle_conflicts_with_selected
	  to be called before dependencies get added, needed by next patch

2009-07-28 13:14  

	* _handle_conflicts: check all provides for conflicts, not just
	  package name
	  
	  Patch by Anssi Hannula, fixes bug #52135
	  
	  If package a has "Conflicts: x" and b has "Provides: x",
	  installing both at the
	  same time creates a failing transaction (instead of producing the
	  "cannot
	  install a (or b), continue?") as perl-URPM does not detect the
	  conflict, as it
	  just checks the conflicts on the package name (it does the
	  correct thing with
	  installed packages, though).
	  
	  _handle_conflicts: call _set_rejected_from if any provides match
	  the conflict,
	  instead of just package name

2009-07-28 13:13  

	* keep psel/promote info and remove deadlocked pkg instead of
	  aborting upgrade
	  
	  Patch from Anssi Hannula, fixes bug #52105
	  
	  lib64gcj9 has to be removed (conflicts), therefore so does
	  libgcj9-src (x86_64)
	  that depends on it. Installed java-1.5.0-gcj-src depends on
	  libgcj9-src, so
	  perl-URPM tries to promote the i586 libgcj9-src for it. However,
	  strict_arch
	  check prohibits changing the arch, so it falls back to
	  backtracking.
	  Backtracking finds libgcj9-src again and tries to select it;
	  however, it drops
	  $dep->{psel} and $dep->{promote}, so when it fails again,
	  perl-URPM does not
	  know java-1.5.0-gcj-src should also be removed due to the failed
	  promotion.
	  
	  This patch changes the code in backtrack_selected in two ways:
	  
	  1) When a replacement package is found, keep {promote} and {psel}
	  info, so that
	  when backtrack_selected is run the second time it correctly
	  handles the failed
	  promotion.
	  2) When such a replacement fails as well and the deadlock
	  protection is
	  triggered, do not switch to keep mode for the package that caused
	  the promotion
	  (it would unselect all the packages involved in the update that
	  caused the
	  promotion). Instead proceed to remove it as usual.
	  
	  The patch introduces no failures on the urpmi testsuite.

2009-07-28 13:12  

	* keep track of sources for obsoleted/removed levels
	  
	  Patch by Anssi Hannula, fixes bug #50666
	  
	  removed/obsoleted levels are set in set_rejected() when a package
	  is rejected
	  (i.e. removed) or a rejection reason is added. They keep track on
	  whether the
	  package is removed and/or obsoleted.
	  
	  When the package has both flags and one of the rejection reasons
	  is removed by
	  _remove_rejected_from(), appropriate flags do not get removed.
	  
	  The case I encountered: the package is set for removal when a
	  package it
	  depends on fails upgrade due to unsatisfied dependency and has to
	  be removed
	  (backtrack_selected => resolve_rejected, causing removed=1), and
	  the package is
	  then promoted (causing obsoleted=1). However, the promotion fails
	  due to the
	  same unsatisfied dependency and backtrack_selected =>
	  disable_selected_and_unrequested_dependencies => disable_selected
	  =>
	  _remove_all_rejected_from => _remove_rejected_from gets called.
	  This removes
	  the latter rejection reason, but leaves flags, including the now
	  wrong
	  obsoleted=1. Thus the package is not explicitely removed as an
	  obsoletion is
	  assumed, therefore failing the transaction.

2009-07-27 12:42  

	* use pkg-config for rpm 4.x too

2009-07-27 12:41  

	* remove unused variable

2009-07-26 16:07  

	* rephrase wording, only support for querying %disttag & %distepoch
	  so far, no support
	  for using %distepoch i version comparisions yet...

2009-07-26 16:06  

	* add support for %disttag & %distepoch

2009-07-26 08:36  

	* just use (void) rather than assign rpmtsFree() since it seems to
	  cause crashy behaviour certain places...

2009-07-26 08:07  

	* bumping version was forgotten for 3.30 release, might as well
	  bump it up to
	  3.31 now for next release…

2009-07-26 08:05  

	* update changelog regarding rpm5

2009-07-26 07:08  

	* oops, put back line that accidentally got removed in the previous
	  commit…

2009-07-26 06:50  

	* enable and fix additional (-Wextra) warnings

2009-07-26 06:38  

	* fix gcc warnings about values not being used

2009-07-26 06:23  

	* * clean out compatibility code for older rpm versions that's not
	  really
	  supported anymore anyways and move out as much as possible
	  rpm5.org
	  compatibility code out of URPM into new rpm46compat.h @ rpm5.org

2009-07-25 20:50  

	* add support for specifying custom filter for compression with
	  build_synthesis()

2009-07-22 18:21  

	* really clean up temporary files & directories properly

2009-07-22 18:19  

	* prevent distepoch & disttag to be added and appended to package
	  filename

2009-05-11 13:26  

	* Removed forgotten debugging logs

2009-05-11 13:22  

	* Add bug #

2009-05-11 13:17  

	* Release 3.30

2009-05-11 13:17  

	* Use key IDs to check if a key is already known or not
	  
	  This has the side-effect that if we get a newer public key
	  corresponding
	  to an already known key id, it won't get updated, but for now RPM
	  doesn't let us do that anyway. If a pubkey file contains multiple
	  keys,
	  we no longer handle this case, but I don't think this has been
	  widely
	  tested, if ever...

2009-05-11 13:17  

	* Fix comment

2009-05-11 13:17  

	* Introduce get_gpg_fingerprint XS function

2009-03-27 14:58  

	* 3.29

2009-03-27 14:58  

	* Fix regression introduced in fix for bug #47803
	  
	  This reverts the previous commit
	  
	  only compute diff_provides when the package is newly rejected, in
	  set_rejected_and_compute_diff_provides
	  
	  Try this incremental patch. It fixes
	  set_rejected_and_compute_diff_provides to
	  not compute diff_provides if package was already rejected (and
	  thus the
	  dependencies properly handled already).

2009-03-27 10:28  

	* Revert part of the fix for bug #47803 since it breaks upgrades
	  from 2008.1

2009-03-25 13:41  

	* 3.28:

2009-03-25 13:22  

	* Postpone user choices as much as possible
	  
	  Fixes bug #48100, patch from Anssi Hannula
	  Package A requires D and E.
	  Package B provides D and E.
	  Package C provides E.
	  
	  If the require on E happens to be resolved first, then perl-URPM
	  will
	  prompt the user, even though installing B is enough.

2009-03-24 16:50  

	* Change format of "rpm sorted by dependencies" string

2009-03-24 15:55  

	* 3.27

2009-03-23 10:03  

	* Don't silently install Suggests:, fixes bug #47934
	  
	  When installing a package which suggests an uninstalled package,
	  urpmi
	  currently installs both packages without asking the user while it
	  asks
	  when installing a package which requires an uninstalled package.
	  This is
	  because we call resolve_requested__no_suggests to find which
	  suggested
	  package to install, but this mark the package as requested as
	  well (and
	  we don't ask for confirmation before installing a requested
	  package).
	  This patch calls resolve_requested__no_suggests_ (with a trailing
	  '_')
	  instead which is the same as resolve_requested__no_suggests but
	  does not
	  mark the packages as requested.

2009-03-23 09:40  

	* fix _handle_diff_provides in case of impossible-to-satisfy
	  selected packages
	  
	  Fixes bug #48223, patch from Anssi Hannula
	  
	  Currently, if _handle_diff_provides finds unsatisfied requires on
	  an already
	  selected package, and cannot find any packages from the repo that
	  satisfy
	  these, it calls resolve_rejected_ (or
	  set_rejected_and_compute_diff_provides
	  after fix to bug #47803) (as it does when those unsatisfied
	  requires are on an
	  installed package, which was always the case before r242656).
	  However, those should be called with installed packages only.
	  
	  Attached patch makes _handle_diff_provides call
	  disable_selected_and_unrequested_dependencies and
	  _set_rejected_from in case of
	  selected packages.

2009-03-20 18:32  

	* check rep for another pkg providing X if the prev pkg gets
	  removed due to a conflict
	  
	  Fixes bug #47803, patch from Anssi Hannula
	  
	  Closer look at urpmi revealed it only does this if a provide X is
	  removed from
	  an upgraded package, not when a package providing X has to be
	  removed.
	  
	  i.e. this works:
	  
	  A provides foo
	  B provides foo
	  C requires foo
	  
	  Installed A,C.
	  
	  A is upgraded and Provides:foo is dropped, B gets installed in
	  order to
	  keep C.
	  
	  But this won't:
	  
	  A provides foo
	  A requires dep
	  B provides foo
	  C requires foo
	  D provides dep
	  
	  Installed A,C,D.
	  
	  D is upgraded and Provides:dep is dropped, A gets removed, C gets
	  removed.

2009-03-05 11:14  

	* 3.26

2009-03-05 11:13  

	* (verify_signature) make checking urpmi signatures works in
	  chrooted environments
	  (especially important for installer where there's no rpmdb in /
	  (really
	  /var/lib/rpm) and thus no keys to check against)

2009-01-16 14:48  

	* Release 3.25

2009-01-16 14:48  

	* Really fix bug #46874

2009-01-13 14:27  

	* Version 3.24 - 13 January 2009, by Christophe Fergeau
	  
	  - fix sorting choices on provided version (feature introduced in
	  3.08,
	  but was not working if packages were coming from different
	  repository)
	  - when a "Requires:" can be fullfilled by several different
	  packages and
	  one of those packages is explicitly required by another package
	  which
	  is also being installed, silently choose this package instead of
	  letting
	  the choice up to perl-URPM user (fixes bug #46874)

2009-01-12 08:04  

	* add comments

2009-01-12 08:03  

	* - drop parse_rpms (unused, parse_rpms_build_headers or parse_rpm
	  are used instead)
	  - add a comment

2009-01-12 07:59  

	* add a comment

2009-01-12 07:56  

	* - drop function fuzzy_parse() (it is unused)
	  - add some comment

2009-01-09 14:40  

	* add a comment

2009-01-09 14:39  

	* add some comment

2009-01-09 14:24  

	* - @unsatisfied is a better var name than @l
	  - add some comment

2009-01-08 13:46  

	* make it clear the func is local

2009-01-08 13:45  

	* add a comment

2009-01-08 09:24  

	* Favour required packages when we have several choices to fulfill
	  a "requires", fixes bug #46874

2009-01-06 15:55  

	* - add some comment
	  - enhance a comment

2009-01-06 14:05  

	* document a "hack"

2008-12-15 17:02  

	* - fix sorting choices on provided version (feature introduced in
	  3.08,
	  but was not working if packages were coming from different
	  repository)

2008-12-15 11:08  

	* 3.23

2008-12-15 11:05  

	* - fix bad free() (thanks to glibc for detecting it)

2008-12-12 11:04  

	* 3.22

2008-12-12 09:19  

	* - fix scriptlet failing:
	  adapt to librpm4.6, rpmtsSetRootDir(ts, "") is forbidden

2008-12-09 16:40  

	* revert wrong commit

2008-12-09 16:33  

	* correctly clean temp directories

2008-12-09 16:05  

	* 3.21

2008-12-09 16:04  

	* - adapt to librpm4.6

2008-12-09 16:03  

	* - adapt to rpm 4.6 changes:
	  - headerNextIterator -> headerNext
	  - headerAddEntry -> headerPut
	  - headerModifyEntry -> headerMod

2008-12-09 16:02  

	* - adapt to rpm 4.6 changes: headerGetEntry -> headerGet

2008-12-09 16:00  

	* - adapt to some easy rpm 4.6 changes:
	  - headerSprintf -> headerFormat
	  - headerAddEntry -> headerPutString
	  - headerRemoveEntry -> headerDel
	  - rpmProblemGetLong -> rpmProblemGetDiskNeed

2008-12-09 15:55  

	* free the iterator *after* use
	  (otherwise it segfaults with 4.6.0-rc1, and i wonder how it
	  worked before...)

2008-12-09 15:52  

	* do free the ts after user, this is especially needed since
	  rpmVerifySignature
	  (wrongly) called in rpmReadPackageFile can open the rpmdb which
	  won't get
	  closed if ts is not closed

2008-12-09 15:50  

	* - don't handle %_sourcedir specially, it's not needed
	  - use an absolute filename for %_topdir, it seems to help
	  (bug in rpm 4.6.0-rc1?)

2008-12-09 15:49  

	* - list_rpm_tag() is no more
	  - remove a failing test (old)

2008-12-09 15:47  

	* - drop list_rpm_tag()

2008-12-09 15:45  

	* adapt types to rpm-4.6.x

2008-12-08 17:35  

	* fix rpmRelocation usage with rpm 5.2

2008-10-14 17:35  

	* 3.20

2008-10-14 17:35  

	* - $trans->run can now return both the translated errors, and some
	  parsable
	  errors (useful for example to detect diskspace issues)

2008-10-14 08:51  

	* use rpmuint64_t rather than long long, we know that it should
	  stay compatible:)

2008-10-10 09:14  

	* fix build with rpm5.org HEAD

2008-10-07 10:47  

	* 3.19

2008-10-07 10:46  

	* - handle flag "replacefiles"

2008-07-18 18:09  

	* add filelinktos() & dirnames() to URPM::Package

2008-07-17 20:03  

	* ensure that initSourceHeader gets run for rpm5.org, otherwise
	  querying of spec files won't work

2008-07-14 16:49  

	* fix build with rpm5.org HEAD

2008-07-07 21:53  

	* 3.18

2008-07-07 14:08  

	* - revert change introduced in 3.16 (it breaks too much, eg
	  superuser--priority-upgrade.t test case), and introduce
	  $state->{rejected_already_installed} instead

2008-07-07 13:23  

	* fix typo in description

2008-07-04 13:06  

	* 3.17

2008-07-04 13:05  

	* add removed_or_obsoleted_packages()

2008-07-04 13:04  

	* - handle $state->{orphans_to_remove} in selected_size() and
	  build_transaction_set()

2008-07-04 11:25  

	* - add traverse_tag_find()

2008-07-03 11:25  

	* perl_checker compliance

2008-07-03 11:23  

	* remove unused vars

2008-07-03 11:22  

	* create packages_to_remove() and use it to factorize code

2008-07-01 15:26  

	* create rpmtag_from_string() out of Db_traverse_tag

2008-06-26 12:47  

	* 3.16

2008-06-26 09:46  

	* - when not selecting a package because already installed,
	  but it in $state->{rejected} with flags {installed}

2008-06-24 09:06  

	* adapt tests to ->compare change

2008-06-23 08:42  

	* 3.15

2008-06-17 09:39  

	* add Anssi name in the log

2008-06-17 09:38  

	* - fix urpmi wrongly considering epochless conflicts to match any
	  epoch in a
	  case when urpmi should upgrade a conflicting package to an
	  actually
	  non-conflicting version (cf epochless-conflict-with-promotion
	  urpmi test)
	  
	  from Anssi.
	  
	  i tested various upgrades from some chroot with 2008.0, 2007.1,
	  2007.0, and it
	  didn't change the result, so it should be quite safe :)

2008-05-23 08:24  

	* 3.14

2008-05-23 08:23  

	* - add is_package_installed() in URPM/Resolve.pm
	  (to be used in urpmi 5.20)

2008-05-20 09:54  

	* 3.13

2008-05-19 15:17  

	* - do not ignore dropped provide from updated package
	  (mdvbz#40842)

2008-05-15 12:04  

	* enhance error message

2008-04-14 17:11  

	* un-revert rpm5.org cosmetics now that cooker has reopened

2008-04-10 08:16  

	* update authors and copyright notic

2008-03-25 13:15  

	* revert unneeded commit for now

2008-03-19 04:37  

	* fix a typo in a comment </pedanticlamer>

2008-03-19 04:34  

	* make URPM more portable by using standard %{_target_vendor} &
	  %{_target_cpu} macros in stead of Mandriva specific
	  %{_real_vendor} & (now dead) %{_real_arch}

2008-03-19 04:18  

	* change x,y check to y,x. More intuitive, for me at least, other
	  order frequently confuses me ;p

2008-03-19 03:24  

	* d'oh, argument to hexversion() must of course be passed as
	  strings

2008-03-19 03:12  

	* improve rpm version detection
	  really fix callback size for rpm5.org versions

2008-03-07 16:50  

	* 3.12

2008-03-07 16:49  

	* - do allow to promoting a pkg even if it has unsatisfied require
	  (since the
	  code will then fix the unsatisfied require). fixes "big
	  transaction"
	  (cf urpmi split-transactions--strict-require.t test_efgh())
	  
	  this code was introduced long ago (*), the code has
	  changed quite a lot, and it's hard to tell for which reason it
	  was introduced.
	  Maybe the check "obsoletes_overlap" replaces it for good?
	  
	  (*) in "r11064 | fpons | 2002-06-13", search for "try if
	  upgrading the package
	  will be satisfying all the requires"

2008-03-06 16:59  

	* ouch, add back 'case RPMPROB_DISKNODES:' removed by mistake :/

2008-03-06 15:25  

	* revert back to long long since they're of same size anyways and
	  we avoid warnings that way :)

2008-03-06 14:24  

	* simplify as pixel suggested
	  use uint64_t in stead of unsigned long long (which is really the
	  same, but nicer and more consistent with rpm5:)

2008-03-03 12:06  

	* minor cosmetics

2008-03-03 00:50  

	* move compatibility wrapper to rpm5.org upstream

2008-03-02 23:29  

	* more fixes, makes apt-get build succesfully :D

2008-03-02 22:22  

	* make all functions inline functions

2008-03-02 22:02  

	* some more functions for apt-get..

2008-03-02 18:18  

	* make C++ compliant
	  add som function wrappers for apt-get

2008-03-01 12:33  

	* define WITH_DB in rpm5compat.h in stead of in Makefile
	  drop useless conditionals for headers as they're already
	  conditional in themself ;)

2008-03-01 12:29  

	* do better "detection" of callback size without having to define
	  it in Makefile (inspired by apt)

2008-02-29 21:26  

	* try improve on freeing up memory

2008-02-29 19:06  

	* be sure to return NULL in case of RPMRC_NOTFOUND

2008-02-29 19:00  

	* provide function name in logging

2008-02-29 18:45  

	* be sure to always initialize in headerGetEntry

2008-02-29 15:36  

	* add rpm5.org support to NEWS :)

2008-02-29 15:33  

	* rpm 4.5 and newer uses unsigned long long ulong1 in stead of
	  unsigned long ulong1 for rpmProblemGetLong, therefore use %lld in
	  stead of %ld

2008-02-29 15:03  

	* add back copyright field manually since svn wouldn't set it..

2008-02-29 14:57  

	* try add svn properties to top of file

2008-02-29 14:42  

	* add svn keywords properties

2008-02-29 14:40  

	* make inclusion of headers conditional

2008-02-29 14:29  

	* be sure to set return value to NULL in headerGetEntry when Epoch
	  isn't set

2008-02-29 14:24  

	* fix assignment from incompatible pointer type in
	  Urpm_list_rpm_tag for rpm5

2008-02-29 14:14  

	* be sure to use same data type for check_flag

2008-02-28 17:07  

	* make sure to use same type (signess) in pack_rpm_header

2008-02-28 16:45  

	* do not define RPM_CALLBACK_LONGLONG for rpm 5.0

2008-02-28 16:20  

	* add copyright notice

2008-02-28 15:30  

	* fix return type and variable of headerRead()

2008-02-28 13:29  

	* 3.11

2008-02-28 13:29  

	* - restore FILENAME_TAG in generated hdlist (to be compatible with
	  older
	  distros where ->filename can rely on it) (thanks to Nanar)

2008-02-28 11:04  

	* fix double _free of msg in headerWrite() & headerRead()
	  do rpmlog for headerWrite() & headerRead()
	  drop unused variable in cointainer for headerNextIterator()

2008-02-28 02:35  

	* drop unused variable

2008-02-28 02:28  

	* get rid of some warnings

2008-02-28 02:03  

	* add wrapper function for rpmMachineScore

2008-02-28 01:38  

	* add wrapper function for headerRead

2008-02-28 01:24  

	* add wrapper function for headerModifyEntry

2008-02-28 01:06  

	* fix define of _RPMTAG_INTERNAL at right place and drop redundant
	  include of rpmtag.h

2008-02-28 00:56  

	* add rpm5 wrapper functions, work in progress, URPM builds now at
	  least :o)

2008-02-27 21:45  

	* fix building with rpm5 DEVEL version

2008-02-25 23:39  

	* do not mark as deprecated ->filename and
	  URPM::Build::build_hdlist()

2008-02-25 23:22  

	* 3.10

2008-02-25 21:57  

	* adding filesize to synthesis on @info@ will break backward
	  compatibility for
	  no good reason, so switching to a new @filesize@ line

2008-02-25 21:37  

	* make ->filename work (again) on header

2008-02-25 21:17  

	* 3.09

2008-02-25 21:13  

	* do not do "uniq" on "fullname" since gpg-pubkey-xxxxxxxx-xxxxxxxx
	  can be installed twice

2008-02-25 21:05  

	* since ->filename is deprecated, do not use it, esp where not
	  needed

2008-02-25 20:43  

	* - add filesize to synthesis, add ->filesize to get it, and add
	  selected_size_filesize() to compute the sum

2008-02-25 20:41  

	* fix previous commit (XS comments are perl-style, not C-style)

2008-02-25 19:17  

	* - do not add FILENAME_TAG and FILESIZE_TAG to hdlist anymore,
	  deprecate ->filename and ->header_filename,
	  deprecate URPM::Build build_hdlist and parse_rpms_build_headers

2008-02-25 16:18  

	* - allow fixing "using one big transaction" that occurs when using
	  --keep
	  (#30198)
	  
	  nb: since build_transaction_set calls resolve_requested, it must
	  use the same
	  options to select the same packages

2008-02-25 16:16  

	* - allow urpmi to know a package was not selected because a newer
	  version is
	  installed (#29838)

2008-02-25 13:34  

	* - fix sort choices changed in perl-URPM 3.08

2008-02-25 13:33  

	* - handle new package providing xxx which conflicts with an
	  installed package (#17106)

2008-02-25 09:20  

	* 3.08

2008-02-25 09:19  

	* - sort choices on virtual package by provided version (#12645)

2007-09-12 15:11  Pixel <pixel at mandriva.com>

	* : better indicate the test case in urpmi

2007-09-12 15:04  Pixel <pixel at mandriva.com>

	* : update doc

2007-09-12 15:04  Pixel <pixel at mandriva.com>

	* : update doc

2007-09-12 15:01  Pixel <pixel at mandriva.com>

	* : update doc

2007-09-12 15:00  Pixel <pixel at mandriva.com>

	* : create _remove_all_rejected_from() out of disable_selected()

2007-09-12 14:57  Pixel <pixel at mandriva.com>

	* : create _remove_rejected_from()

2007-09-12 14:47  Pixel <pixel at mandriva.com>

	* : update doc

2007-09-12 14:44  Pixel <pixel at mandriva.com>

	* : factorize code into _set_rejected_from()

2007-09-12 14:38  Pixel <pixel at mandriva.com>

	* : replacing {backtrack}{closure} with {closure} since it looks
	  like it was a typo

2007-09-12 14:27  Pixel <pixel at mandriva.com>

	* : adapt doc to is really done (may kill {backtrack}{closure}
	  later)

2007-09-12 13:16  Pixel <pixel at mandriva.com>

	* : update doc

2007-09-12 13:12  Pixel <pixel at mandriva.com>

	* : - fix typo in previous commit: pass $urpm to set_selected() for
	  debug message
	  - {from} options to resolve_rejected_ and set_selected is now a
	  pkg object
	  instead of a fullname string

2007-09-12 13:08  Pixel <pixel at mandriva.com>

	* : add debug message

2007-09-12 13:07  Pixel <pixel at mandriva.com>

	* : simplify

2007-09-12 13:06  Pixel <pixel at mandriva.com>

	* : handle {size} in set_rejected()

2007-09-12 12:59  Pixel <pixel at mandriva.com>

	* : - add ability to merge {closure} fields in set_rejected (from
	  $options{why})
	  - {from} is a fullname here
	  - {why} is a hash
	  - use set_rejected() to factorize code

2007-09-12 12:12  Pixel <pixel at mandriva.com>

	* : cleanup

2007-09-12 12:11  Pixel <pixel at mandriva.com>

	* : fix typo in previous commit

2007-09-12 12:03  Pixel <pixel at mandriva.com>

	* : create set_rejected() out of resolve_rejected_()

2007-09-12 11:03  Pixel <pixel at mandriva.com>

	* : dep field "choices" is here for debug purpose, rename it
	  _choices

2007-09-12 11:00  Pixel <pixel at mandriva.com>

	* : create _dep_to_name() and use it

2007-09-12 10:50  Pixel <pixel at mandriva.com>

	* : drop unused option "closure_as_removed"

2007-09-12 10:14  Pixel <pixel at mandriva.com>

	* : backtrack_selected() was always returning empty list, so
	  backtrack_selected_psel_keep() should return empty list. but it's
	  simply to
	  modify callers to take into account the return value is ()

2007-09-12 10:07  Pixel <pixel at mandriva.com>

	* : move var declaration where it's used

2007-09-12 10:06  Pixel <pixel at mandriva.com>

	* : move function created in previous commit

2007-09-12 10:04  Pixel <pixel at mandriva.com>

	* : create _choose_required() out of
	  resolve_requested__no_suggests_()

2007-09-12 09:50  Pixel <pixel at mandriva.com>

	* : this is good to have in NEWS

2007-09-11 16:27  Pixel <pixel at mandriva.com>

	* : document side-effects of each functions

2007-09-11 15:41  Pixel <pixel at mandriva.com>

	* : add some doc

2007-09-11 15:35  Pixel <pixel at mandriva.com>

	* : rename disable_selected_unrequested_dependencies() into
	  disable_selected_and_unrequested_dependencies()

2007-09-11 15:09  Pixel <pixel at mandriva.com>

	* : don't keep a hash when we really want its values

2007-09-11 15:03  Pixel <pixel at mandriva.com>

	* : - create strict_arch_check() out of find_required_package()
	  - and factorize some more code into $may_add_to_packages

2007-09-11 14:46  Pixel <pixel at mandriva.com>

	* : create backtrack_selected_psel_keep() out of
	  backtrack_selected() and use it

2007-09-11 14:12  Pixel <pixel at mandriva.com>

	* : drop keep_unrequested_dependencies option (it is unused)

2007-09-11 14:10  Pixel <pixel at mandriva.com>

	* : drop keep_requested_flag by creating
	  resolve_requested__no_suggests_()

2007-09-11 14:04  Pixel <pixel at mandriva.com>

	* : simplify

2007-09-11 14:00  Pixel <pixel at mandriva.com>

	* : define var where it's needed

2007-09-11 13:59  Pixel <pixel at mandriva.com>

	* : rename var, $dep will only be used as an element from
	  @properties

2007-09-11 13:58  Pixel <pixel at mandriva.com>

	* : rename var, $dep will only be used as an element from
	  @properties

2007-09-11 13:52  Pixel <pixel at mandriva.com>

	* : add doc

2007-09-11 13:37  Pixel <pixel at mandriva.com>

	* : add some doc

2007-09-11 13:37  Pixel <pixel at mandriva.com>

	* : simplify

2007-09-11 13:32  Pixel <pixel at mandriva.com>

	* : simplify

2007-09-11 13:24  Pixel <pixel at mandriva.com>

	* : simplify: make find_candidate_packages() the wrapper around
	  find_candidate_packages_() instead of the other way round

2007-09-11 13:21  Pixel <pixel at mandriva.com>

	* : create find_candidate_packages_(), wrapper around
	  find_candidate_packages()

2007-09-11 13:16  Pixel <pixel at mandriva.com>

	* : drop callback_backtrack, unused for a long time

2007-09-11 11:54  Pixel <pixel at mandriva.com>

	* : fix old typo in comment

2007-09-11 11:51  Pixel <pixel at mandriva.com>

	* : add a comment

2007-09-11 10:54  Pixel <pixel at mandriva.com>

	* : fix old typo (rejected field is unused anyway afaik)

2007-09-11 10:00  Pixel <pixel at mandriva.com>

	* : fix typo in previous typo fix

2007-09-11 10:00  Pixel <pixel at mandriva.com>

	* : fix typo in previous commit :-/

2007-09-11 09:58  Pixel <pixel at mandriva.com>

	* : - speedup is_arch_compat (x7) by keeping the platform in a
	  cache

2007-09-11 09:55  Pixel <pixel at mandriva.com>

	* : add missing free()

2007-09-11 08:44  Pixel <pixel at mandriva.com>

	* : move doc where it belongs

2007-09-11 07:28  Pixel <pixel at mandriva.com>

	* : add comment

2007-09-10 16:58  Pixel <pixel at mandriva.com>

	* : simplify prototype of find_candidate_packages()

2007-09-10 16:56  Pixel <pixel at mandriva.com>

	* : rename find_chosen_packages() into find_required_package()
	  (better name)

2007-09-10 16:49  Pixel <pixel at mandriva.com>

	* : - pass the prefered choices to {callback_choices}: this allows
	  urpmi to select
	  all the prefered packages according to installed locales

2007-09-10 15:48  Pixel <pixel at mandriva.com>

	* : - do not propose packages for non installed locales

2007-09-10 15:48  Pixel <pixel at mandriva.com>

	* : - do not propose packages for non installed locales
	  - cleanup code

2007-09-10 15:46  Pixel <pixel at mandriva.com>

	* : fix typo in previous commit

2007-09-10 15:16  Pixel <pixel at mandriva.com>

	* : create _find_chosen_packages__sort() out of
	  find_chosen_packages()

2007-09-08 20:29  Pixel <pixel at mandriva.com>

	* : more detailed doc

2007-09-08 09:24  Pixel <pixel at mandriva.com>

	* : typo in comment

2007-09-08 09:16  Pixel <pixel at mandriva.com>

	* : rename lists with "closure" in the name to things like
	  "xxx_todo" or
	  "all_xxx", i find it more readable, and it helps making the
	  difference with
	  {closure} field

2007-09-08 09:10  Pixel <pixel at mandriva.com>

	* : rename local var for clarity

2007-09-08 09:07  Pixel <pixel at mandriva.com>

	* : rename local var

2007-09-08 09:05  Pixel <pixel at mandriva.com>

	* : document $state fields

2007-09-08 08:10  Pixel <pixel at mandriva.com>

	* : rename a local variable for clarity

2007-09-08 08:09  Pixel <pixel at mandriva.com>

	* : create _handle_conflicts() out of
	  resolve_requested__no_suggests()

2007-09-08 07:39  Pixel <pixel at mandriva.com>

	* : fix typo in older commit

2007-09-08 07:38  Pixel <pixel at mandriva.com>

	* : use function calls instead of method calls (it allows
	  perl_checker checks when
	  temporarilly renaming URPM/Resolve.pm package name to URPM)

2007-09-07 21:56  Pixel <pixel at mandriva.com>

	* : create _handle_diff_provides() out of
	  resolve_requested__no_suggests()

2007-09-07 20:49  Pixel <pixel at mandriva.com>

	* : create _compute_diff_provides() and
	  _compute_diff_provides_one() out of
	  resolve_requested__no_suggests()

2007-09-07 20:31  Pixel <pixel at mandriva.com>

	* : factorize regexps into functions

2007-09-07 19:45  Pixel <pixel at mandriva.com>

	* : make it more clear

2007-09-07 19:35  Pixel <pixel at mandriva.com>

	* : cleanup

2007-09-07 19:32  Pixel <pixel at mandriva.com>

	* : create _ids_to_fullnames() and _ids_to_names()

2007-09-07 19:19  Pixel <pixel at mandriva.com>

	* : fix typo in recent commit

2007-09-07 19:18  Pixel <pixel at mandriva.com>

	* : make it clear that resolve_rejected_ is modifying @properties
	  from
	  resolve_requested()

2007-09-07 18:39  Pixel <pixel at mandriva.com>

	* : revert previous commit: compute_deps() is still used by mkcd

2007-09-07 17:55  Pixel <pixel at mandriva.com>

	* : remove unused compute_deps() \o/

2007-09-07 17:49  Pixel <pixel at mandriva.com>

	* : simplify: nopromoteepoch is always 1 (no caller ever define it)

2007-09-07 17:43  Pixel <pixel at mandriva.com>

	* : cleanup: nopromoteepoch is 1 by default in
	  find_candidate_packages

2007-09-07 15:44  Pixel <pixel at mandriva.com>

	* : factorize code in functions whatrequires() and
	  whatrequires_id()

2007-09-07 15:30  Pixel <pixel at mandriva.com>

	* : simplify: whatrequires is a hash with provides_nosense as key,
	  don't need to
	  use ->provides then remove the sense

2007-09-07 15:19  Pixel <pixel at mandriva.com>

	* : hoist a debug message so that it occurs for other uses of
	  with_db_unsatisfied_requires()

2007-09-07 15:06  Pixel <pixel at mandriva.com>

	* : re-use same code for conflict from installed package as is used
	  for conflict
	  from selected package. this fixes test_gh() from urpmi
	  split-transactions--promote test case

2007-09-07 14:44  Pixel <pixel at mandriva.com>

	* : move code from resolve_requested__no_suggests() into new
	  function _handle_provides_overlap()

2007-09-07 14:30  Pixel <pixel at mandriva.com>

	* : prepare to factorize code handling property becoming
	  unavailable.
	  
	  it really seems {why}{conflicts} is only used for debugging
	  purpose, so this
	  change won't break.

2007-09-07 14:24  Pixel <pixel at mandriva.com>

	* : one more debug message

2007-09-07 11:26  Pixel <pixel at mandriva.com>

	* : small cleanup

2007-09-07 11:26  Pixel <pixel at mandriva.com>

	* : add some debug messages

2007-09-05 15:19  Pixel <pixel at mandriva.com>

	* : - fix displaying @sorted whereas some elements have been
	  removed from it
	  - more complete error message

2007-09-05 09:37  Pixel <pixel at mandriva.com>

	* : add debug code

2007-09-03 15:21  Pixel <pixel at mandriva.com>

	* : 1.80, bugfix release

2007-09-03 15:21  Pixel <pixel at mandriva.com>

	* : - fix bug in sort_graph (used by build_transaction_set)

2007-09-03 15:20  Pixel <pixel at mandriva.com>

	* : 1.79

2007-09-03 12:59  Pixel <pixel at mandriva.com>

	* : add a test

2007-09-03 08:08  Pixel <pixel at mandriva.com>

	* : - fix bug in sort_graph (used by build_transaction_set)

2007-09-03 08:07  Pixel <pixel at mandriva.com>

	* : 1.78

2007-08-31 15:54  Pixel <pixel at mandriva.com>

	* : fix dead-loop in build_transaction_set (#33020)
	  
	  and ensure the resulting graph is correct by checking it

2007-08-31 07:02  Pixel <pixel at mandriva.com>

	* : add a comment

2007-08-29 09:33  Pixel <pixel at mandriva.com>

	* : 1.77

2007-08-29 09:33  Pixel <pixel at mandriva.com>

	* : - disable "dropping tags from rpm header" until we can safely
	  use it

2007-08-29 09:32  Pixel <pixel at mandriva.com>

	* : 1.76

2007-08-28 14:12  Pixel <pixel at mandriva.com>

	* : ensure #31969 doesn't occur anymore. if somethings goes wrong:
	  - display error message
	  - then default to one big transaction
	  
	  also display error message "using one big transaction" in the old
	  check (which
	  i don't really know what it does)

2007-08-28 13:54  Pixel <pixel at mandriva.com>

	* : - build_transaction_set: new sort algorithm which allow
	  returning sets of
	  circular dependent packages, taking into account obsoleted
	  packages
	  (fixes #31969). It may still fail in presence of conflicts
	  
	  a better fix would be to make ->resolve_requested__no_suggests
	  handle
	  obsolete. ie:
	  - a requires b : bb or b
	  - bb requires c-1
	  - b requires c-2
	  - b obsoletes bb
	  => with a, bb and c-1 installed, "urpmi c" should upgrade bb into
	  b instead of
	  removing a and bb.

2007-08-28 11:03  Pixel <pixel at mandriva.com>

	* : - spec2srcheader: workaround parseSpec returning a header where
	  ->arch is set
	  to %{_target_cpu} whereas we really want a header similar to
	  .src.rpm
	  (see #32824)

2007-08-24 12:01  Pixel <pixel at mandriva.com>

	* : - fix split_length > 1
	  (eg: "urpmi --split-length 2 a b c" will only install 2 pkgs)
	  (this bug has not been reported, just discovered it while reading
	  the code)
	  
	  - cleanup

2007-08-24 11:50  Pixel <pixel at mandriva.com>

	* : - more debug messages
	  - little rewrite

2007-08-23 13:22  Pixel <pixel at mandriva.com>

	* : - allow running transaction with justdb option

2007-08-12 20:45  Pixel <pixel at mandriva.com>

	* : 1.75

2007-08-12 20:44  Pixel <pixel at mandriva.com>

	* : - fix dropping tags from rpm header.
	  it hasn't work since MDK8.1 and rpm 4.0.
	  it may break urpmi!! but potentially allows a much smaller
	  hdlist.cz :)

2007-08-12 11:32  Pixel <pixel at mandriva.com>

	* : 1.74

2007-08-12 11:29  Pixel <pixel at mandriva.com>

	* : - sort choices per media, then per version
	  
	  nb:
	  
	  on 2004-12-13, rgs replaced "$a->id <=> $b->id" with
	  "$b->compare_pkg($a) || $a->id <=> $b->id"
	  
	  Return the list of chosen packages sorted by descending
	  version (bug #12645).
	  
	  the end result is the sorting by media was dropped :-/

2007-08-12 10:15  Pixel <pixel at mandriva.com>

	* : cleanup (easier to read)

2007-08-11 12:21  Pixel <pixel at mandriva.com>

	* : 1.73

2007-08-11 12:21  Pixel <pixel at mandriva.com>

	* : - allow running transaction with replagekgs option

2007-08-10 18:01  Pixel <pixel at mandriva.com>

	* : 1.72

2007-08-10 17:50  Pixel <pixel at mandriva.com>

	* : - modify parse_hdlist so that partial hdlist reading can be
	  used
	  (needed when some stuff is already done in the callback)

2007-08-10 17:35  Pixel <pixel at mandriva.com>

	* : add documentation

2007-08-10 17:34  Pixel <pixel at mandriva.com>

	* : there is no use retrying after a headerRead failure since
	  headerRead may have
	  consumed part of the input, and so next headerRead will read in
	  the middle of
	  a header, and so always fail. The only real solution is to ensure
	  rpmlib don't
	  timeout too quickly (and fd->rd_timeoutsecs is rpmlib internal
	  only, so we
	  can't hint it from here. in any case 1sec timeout is really too
	  low)

2007-08-09 15:25  Pixel <pixel at mandriva.com>

	* : 1.71

2007-08-09 15:24  Pixel <pixel at mandriva.com>

	* : - compilation fixes on rpm < 4.4.8

2007-08-09 14:58  Pixel <pixel at mandriva.com>

	* : 1.70

2007-08-09 14:58  Pixel <pixel at mandriva.com>

	* : compilation fixes on rpm < 4.4.8

2007-08-09 13:24  Pixel <pixel at mandriva.com>

	* : 1.69

2007-08-09 13:24  Pixel <pixel at mandriva.com>

	* : - "suggests" are no more handled as "requires"
	  - resolve_requested support "suggests": a newly suggested package
	  is installed
	  as if required (can be disabled with option no_suggests)
	  
	  nb: URPM.xs change is quite complex since suggests are mostly
	  seen as requires
	  inside rpmlib.

2007-08-08 18:18  Pixel <pixel at mandriva.com>

	* : factorize some code into with_db_unsatisfied_requires:
	  
	  #- this function is "suggests vs requires" safe:
	  #- 'whatrequires' will give both requires & suggests, but
	  unsatisfied_requires
	  #- will check $p->requires and so filter out suggests

2007-08-08 17:38  Pixel <pixel at mandriva.com>

	* : "nopromoteepoch => 1" is the default option in
	  ->unsatisfied_requires

2007-08-03 14:43  Pixel <pixel at mandriva.com>

	* : 1.68

2007-08-03 14:42  Pixel <pixel at mandriva.com>

	* : - add $trans->Element_version and $trans->Element_release

2007-07-05 13:36  nanardon

	* : - 0.67

2007-07-04 22:26  nanardon

	* : - Urpm_read_config_files properly return the value to perl
	  - kill useless var dcl

2007-07-04 22:21  nanardon

	* : - fix parseSpec argument

2007-07-04 16:43  nanardon

	* : - add osscore() and archscore() function to evaluate computer
	  compatiblity to an arbitrary value

2007-07-04 15:53  nanardon

	* : - add Pkg_is_platform_compat() and Urpm_platformscore() coming
	  with rpm 4.4.8

2007-07-02 15:14  Pixel <pixel at mandriva.com>

	* : 1.66

2007-07-02 15:11  Pixel <pixel at mandriva.com>

	* : - fix --auto-select skipping some packages because of other
	  packages providing
	  a more recent version, but no obsolete between those packages.
	  the fix is to revert commit from Aug 2002:
	  "fixed propable old package (according provides) requested by
	  request_packages_to_upgrade."
	  
	  hopefully this change won't break too much...
	  
	  for the record, a few issues:
	  - skipping java-1.5.0-gcj-1.5.0.0-14.7mdv2008.0.i586 since
	  java-1.7.0-icedtea-1.7.0.0-1.3mdv2008.0.i586 provides a more
	  recent version of jre (1.7.0 vs 1.5.0)
	  - skipping emacs-common-22.1-2mdv2008.0.i586 since
	  gnus-emacs-5.10.8-1mdv2007.0.noarch provides a more recent vers
	  whereas java-1.5.0-gcj-1.5.0.0-14.6mdv and emacs-common-22.1-1mdv
	  are installed

2007-07-02 15:05  Pixel <pixel at mandriva.com>

	* : help perl_checker

2007-07-02 14:38  Pixel <pixel at mandriva.com>

	* : help debugging the strange behaviour of this code

2007-06-21 14:13  nanardon

	* : - 1.42

2007-06-19 14:44  nanardon

	* : - make is_arch_compat rpm 4.4.8 compliant

2007-06-15 20:00  Pixel <pixel at mandriva.com>

	* : document the fact that build_synthesis returns true on success

2007-06-12 14:03  Pixel <pixel at mandriva.com>

	* : fix release date

2007-06-12 13:57  Pixel <pixel at mandriva.com>

	* : 1.64

2007-06-12 13:56  Pixel <pixel at mandriva.com>

	* : - hack on $pkg->is_arch_compat to make it return true for
	  noarch packages
	  when using rpm 4.4.8 (#31314)

2007-05-09 16:00  Pixel <pixel at mandriva.com>

	* : - new release, 1.63
	  - add $trans->Element_fullname

2007-05-03 14:51  Pixel <pixel at mandriva.com>

	* : 1.61 has not been released

2007-05-03 14:49  Pixel <pixel at mandriva.com>

	* : 1.62

2007-05-03 14:49  Pixel <pixel at mandriva.com>

	* : - pass the virtual package name as a parameter to
	  {callback_choices} in
	  ->resolve_requested

2007-04-27 12:37  Pixel <pixel at mandriva.com>

	* : re-sync after the big svn loss

2007-04-27 12:37  Pixel <pixel at mandriva.com>

	* : re-sync after the big svn loss

2007-04-27 12:31  Pixel <pixel at mandriva.com>

	* : - 1.61
	  - add $trans->NElements and $trans->Element_name
	  to be able to display name of uninstalled package in
	  callback_uninst
	  - fix b--obsoletes-->a and c--conflicts-->a prompting for
	  upgrading a
	  (need a fix in urpmi which rely on the $state->{rejected}
	  to upgrade (-U) b instead of installing (-i) it)

2007-04-27 12:30  Pixel <pixel at mandriva.com>

	* : re-sync after the big svn loss

2007-04-24 19:11  Pixel <pixel at mandriva.com>

	* : re-sync after the big svn loss

2006-12-04 10:28  Pixel <pixel at mandriva.com>

	* URPM.xs: correctly set "\0"

2006-12-04 10:23  Pixel <pixel at mandriva.com>

	* t/parse.t: remove temp file

2006-12-04 09:43  Pixel <pixel at mandriva.com>

	* URPM.xs: correctly handle gzread error code

2006-12-01 16:21  Pixel <pixel at mandriva.com>

	* URPM.xs: rpmReadPackageFile() can return ok but no header :-/

2006-12-01 16:14  Pixel <pixel at mandriva.com>

	* URPM.pm, URPM.xs: rpmReadPackageFile() can return ok but no
	  header :-/

2006-11-29 22:24  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM.xs: (Trans_add) factorize size to allocate

2006-11-29 22:23  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM.xs: (Trans_add) adjust allocated memory

2006-11-29 22:22  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM.xs: (Trans_add) remove guard, proper fix is now enough

2006-11-29 22:21  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM.xs: (Trans_add) fix segfault on ia32 (when one replace
	  "struct foobar" by
	  "foobar*", he should expect sizeof() to *slightly* differ in
	  results)

2006-11-29 17:08  Pixel <pixel at mandriva.com>

	* URPM.pm: 1.50 new release

2006-11-29 16:59  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM.xs: (Trans_add) fix segfault when using --excludepath

2006-11-29 15:36  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM.xs: (Trans_add) fix the segfault when using --excludepath
	  (introduced in
	  r32435:32440). however, using --excludepath will still
	  segfaults, but
	  later, in rpmtsAddInstallElement() ...

2006-11-29 13:56  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM.xs: (Trans_add) fix segfault

2006-11-24 10:12  Pixel <pixel at mandriva.com>

	* URPM.pm, URPM/Resolve.pm: strict-arch should not imply that
	  noarch can't upgrade the real arch (#22558)

2006-11-21 07:59  Pixel <pixel at mandriva.com>

	* ChangeLog: - default to strict-arch on 64bits (tvignaud)
	  - handle empty hdlist.cz/synthesis.cz (in build_hdlist,
	  build_synthesis, parse_hdlist, parse_synthesis)
	  - parse_rpms_build_headers: allow asking for packing (and so
	  fixing an error in urpmi)
	  - documentation & comments enhancement
	  - release 1.48

2006-11-21 07:54  Pixel <pixel at mandriva.com>

	* URPM/Resolve.pm: resolve_rejected: nodeps is also recognised
	  (through backtrack_selected)

2006-11-21 07:54  Pixel <pixel at mandriva.com>

	* URPM/Resolve.pm: resolve_rejected: nodeps is also recognised
	  (through backtrack_selected)

2006-11-17 17:46  Pixel <pixel at mandriva.com>

	* URPM/Build.pm: parse_rpms_build_headers: allow asking for
	  packing (fixes an error in urpmi)

2006-11-17 16:43  Pixel <pixel at mandriva.com>

	* t/parse.t: add some tests on empty header, buggy header, empty
	  hdlist

2006-11-17 16:42  Pixel <pixel at mandriva.com>

	* URPM.xs: at least one good header is needed for non compressed
	  hdlist and non empty file
	* URPM/Build.pm: allow building empty hdlist & synthesis

2006-11-17 16:25  Pixel <pixel at mandriva.com>

	* URPM.xs, t/parse.t: - parse_hdlist on a simple header was broken
	  because pid was left unset,
	  - add some tests for this

2006-11-15 12:21  Pixel <pixel at mandriva.com>

	* t/rpmdb.t: do display on which pkgs the 2 sorted lists disagree

2006-11-15 11:49  Pixel <pixel at mandriva.com>

	* URPM.pm, URPM.xs: add a wrapper in perl around parse_hdlist and
	  parse_synthesis

2006-11-15 11:47  Pixel <pixel at mandriva.com>

	* t/rpmdb.t: remove debug stuff

2006-11-15 11:28  Pixel <pixel at mandriva.com>

	* URPM.pm: make the prototype of parse_synthesis more clear in the
	  pod

2006-11-15 11:14  Pixel <pixel at mandriva.com>

	* URPM.xs: parse_synthesis, parse_hdlist: handle gzip error status
	  instead of relying on
	  wether we did read at least one header. This allow "empty"
	  hdlist/synthesis.
	  But it means it is getting stricter, and the headers added to
	  {depslist} would
	  need to be removed if an error occured. Alas i don't know how to
	  do it (a
	  simple splice) in XS. If no better solution, i'll create a
	  wrapper function in
	  perl.

2006-11-10 14:18  Pixel <pixel at mandriva.com>

	* URPM/Build.pm: use the documented way to call ->parse_hdlist,
	  not the deprecated one

2006-11-09 15:05  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM/Resolve.pm: (find_chosen_packages) default to strict-arch
	  on 64bits

2006-11-07 13:27  Pixel <pixel at mandriva.com>

	* ChangeLog, URPM.pm: new release, no real change except
	  perl_checker compliant

2006-11-03 15:41  Pixel <pixel at mandriva.com>

	* URPM/Resolve.pm: perl_checker compliance

2006-11-03 15:21  Pixel <pixel at mandriva.com>

	* .perl_checker, URPM.pm, URPM/.perl_checker, URPM/Build.pm,
	  URPM/Resolve.pm: perl_checker compliance

2006-11-03 15:41  Pixel <pixel at mandriva.com>

	* URPM/Resolve.pm: perl_checker compliance

2006-11-03 15:21  Pixel <pixel at mandriva.com>

	* .perl_checker, URPM.pm, URPM/.perl_checker, URPM/Build.pm,
	  URPM/Resolve.pm: perl_checker compliance

2006-10-16 10:11  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Patch by Pixel to ignore self-obsoletes

2006-09-21 09:49  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Invert bogus check

2006-09-07 09:12  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* MANIFEST, URPM/Build.pm, t/pod.t: Add POD test, remove sole pod
	  fragment in URPM::Build

2006-09-06 11:37  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm: Bump version to 1.46

2006-09-06 09:15  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Oops, remove debug code

2006-09-06 09:13  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: prefer kernel-source-stripped over kernel-source

2006-09-05 16:14  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Micro-optimisation, and make comments more
	  explicit

2006-08-07 14:44  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm: Bump version, regen changelog

2006-08-07 14:40  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* MANIFEST, perl-URPM.spec: Remove perl-URPM.spec, checked in in
	  repsys

2006-08-07 14:30  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - cleanup useless imported rpm dcl

2006-08-07 14:25  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - remove useless declaration

2006-08-07 14:30  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - cleanup useless imported rpm dcl

2006-08-07 14:25  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - remove useless declaration

2006-08-04 09:41  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Fix a FD leak (patch by Pascal Terjan, bug #24112)

2006-08-01 13:21  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: strict-arch doesn't apply to src packages

2006-07-25 21:50  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - add comment into code, need review

2006-07-04 12:35  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: One might have an undefined package in the
	  depslist (not sure why)

2006-06-14 10:08  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM/Signature.pm: Verify if we can open the rpmdb, and
	  abort if we can't (bug #22527)

2006-06-12 10:41  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: That wasn't actually necessary

2006-06-12 10:31  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: Bump version number

2006-06-12 10:29  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Fix passing of rpmRelocation structure with new layout
	  in 4.4.6

2006-06-12 10:20  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Fix rpm version detection. Generate ChangeLog under
	  C locale.

2006-06-07 09:41  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* .cvsignore: Remove cvsignore file

2006-06-07 09:39  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, Makefile.PL: Use svn2cl to generate ChangeLog, and
	  regenerate it

2006-06-01 11:47  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL, URPM.xs: It's nice to be able to compile with rpm
	  4.4.6, but it's nice to be able to
	  compile with older rpms too.

2006-05-31 21:10  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - rpm 4.4.6 fixes

2006-05-23 21:53  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* META.yml: Add metafile

2006-05-23 21:48  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.43

2006-05-23 21:32  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - fix urpmi .spec: aka ensure the rpm config is read
	  with all macros before parsing a spec

2006-05-22 13:43  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Don't clobber rpm's changelog with too many
	  details, there is a real changelog for that

2006-05-22 13:32  Thierry Vignaud <tvignaud at mandriva.com>

	* perl-URPM.spec: add bug reference in 1.42-1mdk's changelog

2006-05-22 11:41  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.42

2006-05-22 10:22  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Patch by Pascal Terjan to fix a FD leak (bug #22632)

2006-05-02 08:33  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.41

2006-04-07 10:07  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Add function to traverse transactions

2006-04-02 23:02  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: RPMTAG_SOURCEPACKAGE is going to be obsolete. Replace
	  it by RPMTAG_SOURCERPM.

2006-03-15 12:42  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.40

2006-03-13 16:51  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Get version comparison right

2006-03-13 16:40  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Define new symbol in Makefile.PL depending on
	  detected rpm version
	  (no simpler way to get it from the C preprocessor, it seems)

2006-03-13 16:37  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Fix for undocumented ABI changes in rpm 4.4.5 callback
	  interface

2006-03-13 15:56  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Protection when no data is passed to transaction
	  callbacks

2006-03-13 14:44  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Fix misplaced break in switch statement

2006-03-10 16:07  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: "triggeredby" in traverse_tag never worked.

2006-03-08 15:51  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Fix small memleak on db open error

2006-03-07 10:35  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.39

2006-03-07 10:27  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Clean up gcc options

2006-03-07 10:07  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Protect rpmtsRun with a new link to the transaction
	  object

2006-03-06 14:11  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Spec file nit.
	* URPM.xs: Also, increase refcounts.

2006-03-06 13:59  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.38

2006-03-06 13:48  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* t/rpmdb.t: Perform this test faster

2006-03-06 13:45  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* t/parse.t: Be more Test::More-ish, add a TODO test

2006-03-06 13:31  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: It wasn't a good idea to completely remove the
	  refcount, because it's used to
	  free the underlying C glue structure.
	  Also, and rpmtsLink was misplaced.

2006-03-06 11:09  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Don't use our own reference counter, but the rpmlib's,
	  for transactions.

2006-03-03 15:48  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.37

2006-03-03 15:08  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Document URPM::verify_signature()

2006-03-03 15:05  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Include key id in verify_signature()'s OK output. Also,
	  avoid a header leak.

2006-03-03 14:44  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: New function verify_signature

2006-03-03 13:50  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Don't display error messages from rpmVerifySignatures

2006-03-03 13:14  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Document (new-ish) return value of verify_rpm()

2006-03-03 13:00  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Reimplement verify_rpm, using the rpm cli
	  interface

2006-03-03 10:22  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Remove support for the (broken) db option to
	  verify_rpm

2006-03-03 09:26  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Use a smaller buffer for the return value of
	  verify_rpm, and guard against overflows

2006-03-02 17:40  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Honor verification flags in verif_rpm() even when
	  reading from a file without
	  having open the rpmdb

2006-03-02 17:22  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Nits in verify_rpm.

2006-03-01 11:44  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Fix a couple of compilation warnings. URPM.xs is now
	  warning-clean.

2006-03-01 11:40  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Make sure -fno-strict-aliasing is used (gcc option)

2006-02-13 13:17  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Document the is_arch_compat package method

2006-02-13 10:40  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: 1.36-1mdk

2006-02-13 10:39  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Document new ignorearch flag

2006-02-13 10:22  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Add ignorearch option to run transactions

2006-02-10 17:07  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.35-1mdk

2006-02-10 17:06  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: repackage also when only the rpm macro is defined.
	  Maybe rpm ought to do this,
	  but obviously, as of 4.4.4, it does not.

2006-02-10 09:03  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.34-1mdk

2006-02-10 08:55  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Doc nits

2006-02-10 08:53  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Remove unused variable

2006-02-09 17:33  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Fix code example in URPM's synopsis

2006-02-09 17:29  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Add installtid method

2006-02-09 14:47  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Document keep_all_tags option to parse rpms

2006-02-09 13:57  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: No need to make an explicit dependency on
	  perl-base

2006-02-09 13:56  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog: Update Changelog

2006-02-09 13:52  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, perl-URPM.spec: 1.33-1mdk

2006-02-09 13:50  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Document new flag repackage in run()

2006-02-09 13:25  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Fix repackage option, oops

2006-02-09 12:57  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Add repackage flag to run transactions

2006-01-25 14:21  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, URPM.xs, perl-URPM.spec: 1.32-1mdk

2006-01-25 14:18  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Flag headers returned by spec2srcheader() as source
	  packages

2006-01-24 11:38  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Pod formatting fix

2006-01-19 13:39  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.31

2006-01-19 13:31  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Rewrite and relocate doc at a more proper place. Update
	  copyright notice.

2006-01-19 13:24  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs, t/parse.t: In spec2srcheader(): extend stack; fudge
	  with errno.

2006-01-19 13:05  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs, t/parse.t: Return undef on spec parsing failure

2006-01-19 12:52  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.pm: - add doc for Urpm_spec2srcheader

2006-01-19 11:36  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* Makefile.PL, URPM.xs, t/parse.t: - add Urpm_spec2srcheader():
	  return header of src.rpm from a specfile

2006-01-06 16:22  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, perl-URPM.spec: 1.30-2mdk

2006-01-06 11:12  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, t/rpmdb.t: Use --qf in test to accomodate variations
	  in %_query_all_fmt values

2005-12-08 09:29  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Update copyrights

2005-12-07 16:54  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.30

2005-12-07 16:48  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm, perl-URPM.spec: Fix longstanding epoch
	  promotion bug, caused by braindead API design

2005-12-07 16:44  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Document trap in that braindead stupid API.

2005-12-01 16:53  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Be verbose about the detected RPM version

2005-12-01 13:57  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: RPMTAG_SERIAL (old name of RPMTAG_EPOCH) has been
	  removed in rpm 4.4.3

2005-11-30 13:48  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Fix a couple of compilation warnings

2005-11-30 13:45  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Fix cast error

2005-11-30 13:21  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: libbzip2 is actually not used by URPM.

2005-11-15 16:14  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Add an URPM::Package::dump_flags method, to help
	  debugging the depsolver

2005-11-15 10:45  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ., .cvsignore: Ignore MakeMaker build files

2005-11-02 14:44  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.29-1mdk

2005-11-02 10:42  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Mention noscripts option in docs

2005-10-28 14:30  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Doc neatification

2005-10-28 14:15  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Require MDV::Packdrakeng in Makefile.PL

2005-10-28 14:10  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm, t/parse.t: Use new MDV namespace

2005-10-18 16:46  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: More docs for confusing method names

2005-10-10 18:21  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Add the RPMPROB_FILTER_DISKNODES flag for running
	  transactions with the
	  nosize option. Although rpm doesn't seem to use it internally,
	  it sets
	  it on the --ignoresize command-line option.

2005-10-04 12:19  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* t/parse.t: Don't require Packdrakeng for running tests

2005-10-04 12:00  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Remove buildrequires on bzip2.
	  Simplify buildreq_perl_devel conditional dependency per Buchan's
	  suggestion.

2005-10-03 09:25  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.28-1mdk

2005-10-03 09:19  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Documentation encoding fix

2005-10-03 09:17  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* MANIFEST, Makefile.PL, t/00prepare.t, t/parse.t,
	  test-rpm-1.0-1mdk.noarch.rpm: Rebuild test rpm when running
	  tests. Add cleanup to files.

2005-10-03 08:40  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* MANIFEST: Update MANIFEST

2005-10-03 08:38  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* build_rpm: Remove obsolete script

2005-10-03 08:36  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Add an rpm makefile target

2005-10-03 08:20  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Makefile.PL cleanup

2005-09-14 13:17  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - add some options to parse_rpm (nomd5, nopayload)

2005-09-12 15:13  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Minor comment fixes

2005-09-09 12:54  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: 1.27-1mdk

2005-09-09 12:53  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Make URPM::add_macro expand literal \n to \\\n
	  in macro definitions.
	  add URPM::add_macro_noexpand to get the old (rpmlib like)
	  behaviour

2005-09-01 16:19  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, perl-URPM.spec: 1.26-1mdk

2005-09-01 15:43  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Add a "noscripts" option to run transactions. Inhibits
	  pre, preun, post and
	  postun scritps.

2005-08-23 12:22  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.25-1mdk

2005-08-23 12:15  Pixel <pixel at mandriva.com>

	* URPM.xs: correctly handle -1 fileno returned by callback_open

2005-08-23 10:33  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Doc fixes

2005-08-18 15:54  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, perl-URPM.spec: 1.24-3mdk

2005-08-18 15:32  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Allow to rebuild URPM under non-C locales (Boris
	  Filipovic)

2005-07-28 05:06  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, perl-URPM.spec: 1.24-2mdk

2005-07-28 02:26  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Doc bits

2005-07-28 02:12  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* README, URPM.pm, URPM.xs: update copyright and maintainer

2005-07-04 09:32  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Documentation fix

2005-06-30 05:01  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.24

2005-06-30 04:58  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Add function rpmErrorWriteTo($fd)

2005-06-30 04:32  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: add rpmErrorString function

2005-06-29 09:02  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Doclet

2005-06-16 10:27  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Forgot to commit changelog

2005-06-16 10:05  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.23-1mdk

2005-06-16 10:03  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Add a binding for rpm internal debugging
	  function setVerbosity()

2005-06-07 01:43  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.22-1mdk

2005-06-01 09:39  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Warning fixes and documentation

2005-06-01 03:48  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Ensure archs are identical

2005-06-01 03:29  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Integrate a function to produce deltarpms

2005-05-31 09:33  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.21-1mdk

2005-05-31 08:45  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Removes obsolete code

2005-05-30 09:37  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Add the URPM::Package::payload_format method

2005-05-11 06:58  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Remove the return value of
	  compute_installed_flags, it's not used anywhere

2005-05-10 13:11  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* perl-URPM.spec: - 0.3 for amd64

2005-05-09 10:09  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, perl-URPM.spec: 1.20-mdk

2005-05-09 06:32  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Update buildrequires

2005-05-09 05:37  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Make spec mandriva-compliant

2005-05-04 03:06  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Don't hardcode distribution name

2005-05-04 03:01  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.20-1mdk

2005-05-02 10:58  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL, URPM.xs: Remove rpm 4.0 support

2005-05-02 10:41  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Remove dead code

2005-05-02 10:39  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Patch by Olivier Thauvin to adapt URPM for rpm 4.4

2005-04-28 23:50  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* perl-URPM.spec: - use mkrel

2005-04-28 16:44  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Fix bug 15628 : when no preferred locale is
	  found, put locales-en in front of
	  choice list

2005-03-09 16:39  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: More RPMSENSE_PREREQ deprecation. (this should do
	  nothing with rpm 4.2)

2005-03-07 09:32  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.11-1mdk

2005-03-03 09:37  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Speed optimisation for updating media

2005-03-02 15:13  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.10-1mdk

2005-03-02 14:38  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Prepare for obsolescence of PREREQ, introduce
	  equivalent RPMSENSE_SCRIPT_* tags

2005-02-15 12:54  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.09-1mdk

2005-02-15 12:48  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Comments and indentation

2005-02-15 11:29  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Force recomputation of rejected packages when
	  deleting some in installation
	  dependency resolution

2005-02-11 14:17  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: POD fix.

2005-02-11 14:07  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.08-1mdk

2005-02-11 13:59  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Add macro handling code from Olivier Thauvin

2005-02-02 09:12  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, perl-URPM.spec: 1.07-4mdk

2005-02-02 09:00  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Ooops, missing epoch

2005-01-21 09:53  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, perl-URPM.spec: 1.07-3mdk

2005-01-20 20:35  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Require perl-base >= 5.8.6, so perl will be
	  upgraded early in the process
	  10.1 to 10.2

2005-01-04 11:06  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Croak if build_base_files can't write files

2004-12-21 15:38  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Typos in documentation

2004-12-21 14:25  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Indentation and comments

2004-12-13 17:21  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, perl-URPM.spec: 1.07-2mdk

2004-12-13 13:43  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.07-1mdk

2004-12-13 13:34  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Return the list of chosen packages sorted by
	  descending version
	  (bug #12645).

2004-12-09 15:29  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.06-1mdk

2004-12-09 15:16  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: trust packdrake's defaults

2004-12-09 15:10  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Remove external call to packdrake.

2004-12-09 14:27  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* t/parse.t: Silence warnings

2004-12-09 14:24  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* t/parse.t: Adjust test count

2004-11-26 07:45  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.05-1mdk

2004-11-25 19:18  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM/Build.pm: Inspired changes on top of Olivier's
	  changes

2004-11-25 14:28  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.pm, URPM/Build.pm, URPM/Resolve.pm: - allow to use an array
	  of id instead (start .. end) in functions.

2004-11-10 17:31  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, perl-URPM.spec: 1.04-1mdk

2004-11-10 17:26  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm: Version bump

2004-11-10 17:14  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: When resolving dependencies, keep track of the
	  packages that we just
	  deselected because newer versions were found, but that were not
	  actually
	  installed.

2004-11-10 14:17  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Indentation, documentation

2004-10-27 09:48  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: Release for amd64

2004-10-27 08:18  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Support for the 'strict-arch' option : upgrade
	  only packages that have
	  the same architecture than the one of the already-installed
	  version.

2004-10-25 12:04  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Comments

2004-10-19 14:47  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, perl-URPM.spec: 1.03-2mdk

2004-10-18 08:34  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: A few perl_checker fixes

2004-10-18 08:31  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Patch by Gwenole Beauchesne to prefer packages
	  which have the closest
	  architecture compatibility over others when version/release are
	  the same
	  (using rpm's scoring system).

2004-10-14 03:22  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Fix method description

2004-10-13 02:35  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Small comment fixes

2004-09-03 05:06  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: If $TMPDIR is not writable, don't use it

2004-08-29 12:33  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* ChangeLog: Rebuild

2004-08-29 12:29  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.pm, perl-URPM.spec: - 1.03

2004-08-29 11:56  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs, t/parse.t: - backport rpmvercmp binding from perl-Hdlist

2004-08-24 09:43  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.02-1mdk

2004-08-24 09:29  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: From now, the nopromoteepoch argument will always
	  default to 1

2004-08-24 08:12  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, URPM.xs: Minor doc fixes

2004-08-11 05:07  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.01-1mdk

2004-08-11 04:57  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Don't panic on bad rpm fullnames

2004-08-02 10:42  Fançois Pons

	* URPM/Resolve.pm: fixed deadlock caused with libgc1 obsoleting
	  itself ;-) and in the case were an
	  older package is already installed and an older package is
	  present in urpmi
	  db. The problems comes with a badly interpreted comparison
	  without an operator
	  checked.

2004-08-02 09:24  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 1.00 !

2004-08-02 09:01  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Protection against packages that obsolete
	  themselves.

2004-08-02 08:42  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs, t/parse.t: - remove test that can't works

2004-08-02 07:22  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - backward compatibility with perl 5.6

2004-08-02 07:14  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* Makefile.PL: - don't check rpm rpm version but rpm binary version

2004-08-02 00:27  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Silence a compilation warning

2004-08-02 00:03  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm, URPM/Query.pm, URPM/Resolve.pm: Make perl_checker
	  a bit more happy

2004-07-30 09:03  Thierry Vignaud <tvignaud at mandriva.com>

	* perl-URPM.spec: put back lost 0.98-2mdk's changelog

2004-07-30 07:48  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: 0.99-1mdk

2004-07-30 06:10  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Resolution of requested packages: by default,
	  don't propose a choice when
	  multiple found packages are already installed.

2004-07-28 08:47  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Build.pm: Use lexical filehandles.

2004-07-22 09:39  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: Version 0.98

2004-07-22 03:15  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs, t/parse.t: Add URPM::stream2header (borrowed from
	  perl-Hdlist, thanks to Olivier
	  Thauvin)

2004-07-14 09:14  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* Makefile.PL, URPM.pm, perl-URPM.spec: - generate the manpage
	  - 0.97

2004-07-12 06:12  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* ChangeLog, URPM.pm, perl-URPM.spec: Version 0.96

2004-07-12 01:23  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Don't use keys() in scalar context

2004-07-12 01:04  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Add a ChangeLog target in the makefile

2004-07-09 08:56  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Simplify the compute_flags function (used for
	  the {skip,inst}.list files)

2004-06-27 18:31  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - fix segfault in queryformat if tag does not exist
	  (return nothing instead)

2004-06-23 06:47  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs, t/fatal.t: Clarify error message when a synthesis file
	  can't be read or gunzipped

2004-05-21 11:33  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: 0.95-2mdk

2004-05-21 11:19  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: Allow urpmi to downgrade packages if it was
	  invoked with --allow-force

2004-05-19 15:28  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Resolve.pm: When an rpm installed locally had a version
	  greater than the one found
	  in the update media, urpmi was trying to downgrade it.

2004-05-06 09:42  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, perl-URPM.spec: Version 0.95

2004-05-06 09:22  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* MANIFEST, URPM.pm, URPM.xs, URPM/Resolve.pm, t/fatal.t: Add a
	  way to downgrade some errors (file not found) to non-fatal

2004-04-30 08:32  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: 0.94-13mdk

2004-04-27 05:56  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM/Query.pm: - fix tag2id on old mdk, ensure all test are ok
	  on 9.1

2004-04-26 14:40  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* t/parse.t: Silence warnings

2004-04-25 21:33  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs, t/parse.t: - make parse.t pass all test
	  - add $pkg->queryformat test

2004-04-25 10:44  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.pm, URPM.xs, URPM/Query.pm: - add $pkg->queryformat()
	  function
	  - $ûrpm->list_rpm_tag show all tag, value for unparsable tag is
	  'undef' in hash

2004-04-23 13:55  Thierry Vignaud <tvignaud at mandriva.com>

	* ChangeLog: *** empty log message ***

2004-04-23 08:01  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - urpm optional arg to Urpm_list_rpm_tag function

2004-04-22 14:14  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Better diagnostics in $package->build_info()

2004-04-22 09:54  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* t/parse.t: - test rpm parsing and hdlist generation

2004-04-22 09:28  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* MANIFEST: Add missing files in the MANIFEST
	* perl-URPM.spec: Remove hardcoded packager

2004-04-22 06:40  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM/Build.pm: - Don't pass whole %options to parse_rpm in
	  parse_rpms_build_headers

2004-04-22 06:34  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM.xs: (return_list_tag) factorize common local variables
	  declaration (though
	  it wastes 4 pointer slots on stack in RPMTAG_SUMMARY case)

2004-04-22 05:43  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM/Query.pm, t/parse.t, test-rpm-1.0-1mdk.noarch.rpm,
	  test-rpm.spec: - remove unusefull function
	  - start to add parsing test

2004-04-22 05:33  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM/Build.pm: - export keep_all_tags trought function in
	  parse_rpm_build_headers

2004-04-22 05:32  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - return_list_tag is able to return some basic tags
	  from synthesis

2004-04-21 13:13  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.xs: - cleaning return_list_tag

2004-04-21 09:25  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM.pm, URPM.xs, URPM/Query.pm: - add list_rpm_tag function

2004-04-21 09:17  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* perl-URPM.spec: 0.94-12mdk

2004-04-21 09:16  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Signature.pm: More cleanup.

2004-04-21 09:15  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Don't install manpages.

2004-04-21 08:08  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM/Signature.pm: Minor cleanup

2004-04-18 23:15  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM/Build.pm, URPM/Query.pm: - add query_pkg function
	  - transmit %options to parse_rpm in parse_rpms_build_headers

2004-04-17 23:31  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM/Build.pm, URPM/Query.pm: - add Query.pm (starting to code)
	  - add fuzzy_parse function, transparency parse hdlist,
	  synthesis, rpms or dir (dir/*.rpm)
	  - add parse_rpms function to have same behaviours than
	  parse_{hdlists,synthesis}

2004-04-15 09:34  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.xs: Improve some diagnostics

2004-04-09 15:51  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* Makefile.PL: Force INSTALLDIRS=vendor in the Makefile.PL, for
	  local testing

2004-04-06 14:41  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* URPM.pm, t/rpmdb.t, t/synthesis.t: Deprecate the pseudo-packages
	  URPM::Build, URPM::Resolve and URPM::Signature.
	  Documentation fixes. Tidy up the tests (and add a few ones.)

2004-04-02 14:02  Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>

	* MANIFEST, Makefile.PL, URPM.pm, t/synthesis.t: Add some API
	  documentation for the URPM module.
	  Plus, some minor nits in auxiliary files.

2004-04-01 10:40  Thierry Vignaud <tvignaud at mandriva.com>

	* ChangeLog: *** empty log message ***

2004-02-25 22:35  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* perl-URPM.spec: 0.94-11mdk

2004-01-18 02:25  Olivier Thauvin <thauvin at aerov.jussieu.fr>

	* URPM/Build.pm: - parse_rpm_build_headers have same behaviour
	  with dontdie and callback
	  when using cache or the rpm

2004-01-15 18:20  Thierry Vignaud <tvignaud at mandriva.com>

	* ChangeLog: *** empty log message ***

2003-12-09 19:40  Fançois Pons

	* URPM.xs, URPM/Resolve.pm, perl-URPM.spec: added support for RH
	  7.3

2003-11-17 21:01  Fançois Pons

	* perl-URPM.spec: 0.98-9mdk

2003-11-17 20:59  Fançois Pons

	* URPM/Build.pm: fixed bad use of option idlist for checking its
	  presence

2003-11-15 19:47  Fançois Pons

	* perl-URPM.spec: 0.94-8mdk

2003-11-15 19:44  Fançois Pons

	* URPM.xs, URPM/Build.pm: fixed indentation and reworked code to
	  be simpler

2003-11-15 19:33  Fançois Pons

	* URPM.xs, URPM/Build.pm: applied patch from Olivier Thauvin

2003-10-13 12:36  Fançois Pons

	* perl-URPM.spec: 0.94-7mdk

2003-10-13 12:34  Fançois Pons

	* URPM/Resolve.pm: fixed to find package with full provides on
	  whatrequires obsoleted, so that
	  pam-devel is upgraded correctly for example.

2003-09-10 15:12  Fançois Pons

	* perl-URPM.spec: 0.94-6mdk

2003-09-10 15:11  Fançois Pons

	* URPM/Resolve.pm: removed STDERR log.
	* URPM/Resolve.pm: diff_provides on obsoleted provides are needed.

2003-09-10 11:46  Fançois Pons

	* perl-URPM.spec: 0.94-5mdk

2003-09-10 11:45  Fançois Pons

	* URPM/Resolve.pm: fixed bad ARRAY reference (promote).

2003-09-05 10:33  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.94-4mdk

2003-09-02 17:19  Fançois Pons

	* perl-URPM.spec: 0.94-3mdk
	* URPM/Resolve.pm: removed log.

2003-09-02 17:18  Fançois Pons

	* URPM/Resolve.pm: fixed package badly removed.

2003-08-22 13:53  Fançois Pons

	* perl-URPM.spec: 0.94-2mdk

2003-08-22 13:52  Fançois Pons

	* URPM/Resolve.pm: removed potential deadlock.

2003-08-21 13:04  Fançois Pons

	* URPM.pm, URPM/Signature.pm, perl-URPM.spec: 0.94-1mdk
	  (URPM::Signature fixes and changes)

2003-08-21 11:25  Fançois Pons

	* URPM/Signature.pm: fixed with gc suggestion which are really
	  fine (and right).

2003-08-20 16:17  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: final 0.93-7mdk

2003-08-20 15:10  Fançois Pons

	* URPM.pm, URPM/Signature.pm, perl-URPM.spec: 0.93-7mdk (signature
	  comparison workaround)

2003-08-19 16:33  Fançois Pons

	* perl-URPM.spec: 0.93-6mdk

2003-08-19 16:32  Fançois Pons

	* URPM.xs: added URPM::import_pubkey to import a key (only one)
	  directly to opened rpm
	  database or by opening the database on the fly.

2003-08-19 16:31  Fançois Pons

	* URPM/Signature.pm: fixed URPM::import_armored_file to use
	  internal XS function to import directly
	  to database, handle importation of multiple keys by file.

2003-08-18 15:29  Pixel <pixel at mandriva.com>

	* URPM/Resolve.pm, perl-URPM.spec: perl_checker compliance

2003-08-13 12:04  Guillaume Cottenceau

	* perl-URPM.spec: provide URPM::Signature as well

2003-08-11 15:27  Fançois Pons

	* perl-URPM.spec: 0.93-3mdk
	* URPM.xs: fixed files_md5sum returning not the same number as
	  files method.
	  removed unsatisfied_requires2 not used (and doing nothing
	  usefull).

2003-08-11 14:04  Fançois Pons

	* URPM/Signature.pm, perl-URPM.spec: 0.93-2mdk

2003-08-06 17:45  Fançois Pons

	* URPM/Signature.pm: final 0.93-1mdk

2003-08-06 15:54  Fançois Pons

	* URPM.pm, URPM/Build.pm, URPM/Signature.pm, perl-URPM.spec:
	  0.93-1mdk

2003-08-06 09:52  Fançois Pons

	* MANIFEST: added signature management.

2003-08-06 09:50  Fançois Pons

	* URPM/Signature.pm: initial support for parsing armored file
	  (without gpg) and registering rpmdb pubkeys.

2003-08-04 17:51  Fançois Pons

	* MANIFEST, URPM/Resolve.pm, perl-URPM.spec: 0.92-4mdk

2003-08-01 19:29  Pixel <pixel at mandriva.com>

	* perl-URPM.spec: - rebuild for new perl (it helps DrakX build
	  script)
	  - use DESTDIR

2003-07-30 16:59  Fançois Pons

	* perl-URPM.spec: 0.92-2mdk

2003-07-30 16:57  Fançois Pons

	* URPM/Resolve.pm: fixed some missing unsatisfied in reason of
	  rejected packages.
	  fixed provide obsoleted which should not be taken into account
	  when looking for
	  obsoletes.

2003-07-28 15:13  Fançois Pons

	* URPM.pm, URPM/Resolve.pm, perl-URPM.spec: 0.92-1mdk

2003-07-24 15:28  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-14mdk

2003-07-24 10:10  Fançois Pons

	* URPM.xs, URPM/Build.pm, URPM/Resolve.pm, perl-URPM.spec:
	  0.91-13mdk

2003-07-16 13:34  Fançois Pons

	* perl-URPM.spec: 0.91-12mdk

2003-07-16 13:10  Fançois Pons

	* URPM/Build.pm: fixed cache not taken into account.

2003-07-16 12:07  Fançois Pons

	* URPM/Resolve.pm: fixed small typo on regex for
	  URPM::compute_flags

2003-07-10 16:09  Fançois Pons

	* URPM.xs: fixed SvPV typos.

2003-07-10 16:05  Fançois Pons

	* perl-URPM.spec: 0.91-11mdk

2003-07-10 16:04  Fançois Pons

	* Makefile.PL: removed -f-no-rtti as no C++ code is used.

2003-07-10 16:03  Fançois Pons

	* URPM.xs: starting coding unsatisfied_requires in C, incomplete.
	  modified return_list_str to allow getting strings list in C
	  easily and quickly.

2003-07-10 16:02  Fançois Pons

	* URPM/Resolve.pm: optimized URPM::compute_flags method by an
	  almost unlimited factor.

2003-07-07 17:28  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-10mdk

2003-07-07 15:14  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-9mdk

2003-07-04 12:18  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-8mdk

2003-06-26 15:26  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-7mdk

2003-06-19 14:24  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-6mdk

2003-06-19 11:12  Fançois Pons

	* URPM.xs: make sure a callback parameter is taken into account
	  only if a reference is
	  used.

2003-06-19 10:31  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-5mdk

2003-06-18 17:02  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: added missing fix on bad
	  conflicts listing,
	  removed stderr logs.

2003-06-18 16:53  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-4mdk

2003-06-18 16:14  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-4mdk

2003-06-18 11:52  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.91-3mdk

2003-06-17 15:59  Fançois Pons

	* perl-URPM.spec: added compilable on rpm-4.0.4 of rpm.

2003-06-17 15:54  Fançois Pons

	* URPM.xs: fixed compilation on rpm 4.0.4.

2003-06-17 15:35  Fançois Pons

	* URPM.xs, URPM/Resolve.pm, perl-URPM.spec: fixed 0.91-2mdk

2003-06-17 13:39  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.91-2mdk

2003-06-16 17:57  Fançois Pons

	* URPM.pm, URPM.xs, URPM/Resolve.pm, perl-URPM.spec, t/rpmdb.t:
	  0.91-1mdk

2003-06-12 15:52  Fançois Pons

	* perl-URPM.spec: 0.90-10mdk
	* URPM.xs: improved return value of verify_rpm.

2003-06-11 15:42  Fançois Pons

	* URPM/Resolve.pm: removed $v-> (for rejected hash value) by $rv
	  in order to avoid name clash
	  with $v (version).

2003-06-11 11:34  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.90-9mdk

2003-06-05 18:41  Fançois Pons

	* URPM.xs: fixed memory leak in parse_rpm.

2003-06-05 17:46  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.90-8mdk

2003-06-05 13:53  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.90-7mdk

2003-06-05 08:47  Fançois Pons

	* URPM/Build.pm, URPM/Resolve.pm: added clever cache header
	  management during build of hdlist.
	  removed no_flag_update obsoleted.

2003-06-04 09:47  Warly <warly at mandriva.com>

	* URPM.xs, perl-URPM.spec: Add Pkg_buildtime to get
	  RPMTAG_BUILDTIME

2003-06-03 10:21  Fançois Pons

	* perl-URPM.spec: a newer version for a newer package.

2003-06-03 10:14  Fançois Pons

	* URPM.xs: fixed sutpid typo (strange compiler didn't notice
	  anything)

2003-06-02 16:38  Fançois Pons

	* URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.90-4mdk

2003-05-30 11:32  Warly <warly at mandriva.com>

	* URPM.xs: move packing and keep_all_tags declaration in
	  Urpm_parse_rpm to the begining of the function in order to get
	  the argument initialisation correctly working (otherwize they
	  were overriden and systematically set to 0).

2003-05-30 10:11  Warly <warly at mandriva.com>

	* URPM.xs, perl-URPM.spec: add Pkg_license function to URPM.xs
	  (URPM::Package)

2003-05-26 15:13  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.90-2mdk

2003-05-23 15:26  Fançois Pons

	* URPM.pm, URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.90-1mdk
	  first backtrackable method, still lacking backtrack of remove and
	  better handling of choices during backtrack, too much simplist.

2003-05-16 15:11  Fançois Pons

	* URPM.pm, URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.84-1mdk

2003-05-14 17:43  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.83-4mdk

2003-05-13 21:02  Fançois Pons

	* URPM.xs, URPM/Build.pm, perl-URPM.spec: 0.83-3mdk

2003-05-13 20:46  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM/Build.pm: perl_checker fixes

2003-05-13 20:35  Thierry Vignaud <tvignaud at mandriva.com>

	* URPM.pm: perl_checker fix

2003-05-12 16:43  Guillaume Cottenceau

	* perl-URPM.spec: - rebuild for new perl requires/provides
	  - provide perl packages URPM::Resolve and URPM::Build since the
	  perl packages are URPM for object export

2003-04-29 17:16  Fançois Pons

	* Makefile.PL, URPM.pm, URPM.xs, build_rpm, perl-URPM.spec: first
	  try of 4.2 compatible perl-URPM,
	  missing verify_signature,
	  new version 0.83

2003-04-24 15:51  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.82-4mdk

2003-04-22 14:35  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.82-3mdk

2003-04-14 13:07  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.82-2mdk

2003-04-11 16:29  Fançois Pons

	* URPM/Resolve.pm: fixed stupid typo in compute_skip_flags

2003-04-11 16:06  Fançois Pons

	* URPM.pm, URPM.xs, URPM/Resolve.pm, perl-URPM.spec: brand new
	  0.82 version (flag_skip, excludedocs, fix NULL get_name)

2003-03-12 18:16  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.81-13mdk

2003-03-10 16:44  Fançois Pons

	* URPM.pm, URPM/Build.pm, URPM/Resolve.pm, perl-URPM.spec:
	  0.81-12mdk

2003-03-03 13:09  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.81-11mdk

2003-02-27 13:22  Fançois Pons

	* perl-URPM.spec: 0.81-10mdk

2003-02-27 13:13  Fançois Pons

	* URPM/Resolve.pm: allow choices to return multiple selection.

2003-02-19 13:28  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.81-9mdk

2003-02-13 18:37  Fançois Pons

	* perl-URPM.spec: 0.81-8mdk

2003-02-13 17:53  Fançois Pons

	* URPM/Resolve.pm: fix rpmdrake woes on incompatible arch.

2003-01-23 14:29  Fançois Pons

	* URPM/Build.pm, URPM/Resolve.pm, perl-URPM.spec: 0.81-7mdk

2003-01-06 16:33  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.81-6mdk

2003-01-06 11:25  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.81-5mdk

2002-12-20 11:05  Pixel <pixel at mandriva.com>

	* URPM/Resolve.pm, perl-URPM.spec: perl_checker fixes (syntax only)

2002-12-18 14:57  Pixel <pixel at mandriva.com>

	* URPM.pm, perl-URPM.spec: help perl_checker recognise packages
	  used as classes

2002-12-18 12:54  Pixel <pixel at mandriva.com>

	* URPM.pm, perl-URPM.spec: perl_checker fixes

2002-12-17 13:57  Fançois Pons

	* URPM.pm, perl-URPM.spec: added very faster code, 3 times faster
	  on traverse_tag with --env.

2002-12-17 13:46  Fançois Pons

	* URPM.pm, URPM/Resolve.pm, perl-URPM.spec: 0.81-1mdk

2002-12-11 11:27  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.80-2mdk

2002-12-05 17:58  Fançois Pons

	* URPM.pm, URPM.xs, perl-URPM.spec: 0.80-1mdk

2002-12-03 14:43  Fançois Pons

	* URPM.pm, URPM.xs, perl-URPM.spec: 0.71-1mdk

2002-09-17 13:16  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.70-10mdk

2002-09-09 14:25  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.70-9mdk

2002-09-02 14:46  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.70-8mdk

2002-08-30 15:52  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.70-7mdk

2002-08-30 13:08  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.70-6mdk

2002-08-29 15:48  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.70-5mdk

2002-08-29 09:41  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.70-4mdk

2002-08-28 14:15  Fançois Pons

	* perl-URPM.spec: added URL (cvsweb at least).

2002-08-28 14:06  Fançois Pons

	* URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.70-3mdk

2002-08-26 18:29  Fançois Pons

	* URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.70-2mdk

2002-08-23 13:08  Fançois Pons

	* URPM.pm: fixed VERSION to 0.70.

2002-08-23 13:06  Fançois Pons

	* URPM.pm, perl-URPM.spec: 0.70-1mdk.

2002-08-13 10:05  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.60-8mdk

2002-08-12 16:00  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.60-7mdk

2002-08-12 13:34  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.60-6mdk

2002-08-09 17:12  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.60-5mdk

2002-08-09 16:47  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.60-4mdk

2002-08-07 14:25  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.60-3mdk

2002-08-06 15:04  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.60-2mdk

2002-08-05 16:57  Fançois Pons

	* URPM.pm, URPM/Resolve.pm, perl-URPM.spec: 0.60-1mdk

2002-07-25 11:19  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.50-6mdk

2002-07-25 07:27  Fançois Pons

	* perl-URPM.spec: 0.50-5mdk

2002-07-25 07:08  Fançois Pons

	* URPM/Build.pm: fixed typo (stupid).

2002-07-24 12:36  Fançois Pons

	* URPM.xs, URPM/Build.pm, URPM/Resolve.pm, perl-URPM.spec:
	  0.50-4mdk

2002-07-24 09:18  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.50-3mdk

2002-07-23 15:14  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.50-2mdk

2002-07-23 13:17  Fançois Pons

	* URPM.pm, URPM/Resolve.pm, perl-URPM.spec: 0.50-1mdk

2002-07-23 11:59  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.20-2mdk

2002-07-22 17:53  Fançois Pons

	* URPM.pm, URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.20-1mdk

2002-07-22 08:35  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.11-2mdk

2002-07-19 08:50  Fançois Pons

	* URPM.pm, URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.11-1mdk

2002-07-16 18:07  Fançois Pons

	* URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.10-2mdk

2002-07-15 16:53  Fançois Pons

	* URPM.pm, URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.10-1mdk

2002-07-11 13:14  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.09-2mdk

2002-07-10 10:19  Fançois Pons

	* URPM.pm, URPM/Resolve.pm, perl-URPM.spec: 0.09-1mdk

2002-07-09 15:06  Fançois Pons

	* URPM.xs, URPM/Build.pm, perl-URPM.spec: 0.08-4mdk

2002-07-09 10:55  Pixel <pixel at mandriva.com>

	* perl-URPM.spec: adapt to perl 5.8.0

2002-07-08 14:47  Fançois Pons

	* URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.08-2mdk

2002-07-08 09:55  Fançois Pons

	* URPM.pm, URPM.xs, perl-URPM.spec: 0.08-1mdk

2002-07-05 15:25  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.07-2mdk

2002-07-04 17:53  Fançois Pons

	* URPM.pm, URPM.xs, perl-URPM.spec, typemap: 0.07-1mdk

2002-07-03 16:11  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.06-2mdk

2002-07-03 12:40  Fançois Pons

	* URPM.pm, URPM.xs, URPM/Build.pm, URPM/Resolve.pm,
	  perl-URPM.spec: 0.06-1mdk

2002-07-01 11:55  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.05-2mdk

2002-06-28 08:44  Fançois Pons

	* URPM.pm, URPM/Resolve.pm, perl-URPM.spec: 0.05-1mdk

2002-06-26 12:37  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.04-6mdk

2002-06-18 14:17  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.04-5mdk

2002-06-13 17:56  Fançois Pons

	* URPM/Resolve.pm, perl-URPM.spec: 0.04-4mdk

2002-06-13 16:16  Fançois Pons

	* URPM.xs, perl-URPM.spec: 0.04-3mdk

2002-06-13 15:19  Fançois Pons

	* URPM/Resolve.pm: added compute_installed_flags for yoyotte.

2002-06-13 10:48  Fançois Pons

	* perl-URPM.spec: 0.04-2mdk

2002-06-13 10:24  Fançois Pons

	* URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.04-1mdk

2002-06-11 18:02  Fançois Pons

	* MANIFEST: added missing entry Resolve.pm

2002-06-11 17:59  Fançois Pons

	* URPM.pm, URPM.xs, URPM/Resolve.pm, perl-URPM.spec: 0.04-1mdk

2002-06-06 15:44  Fançois Pons

	* URPM.pm, URPM.xs, perl-URPM.spec: 0.03-2mdk

2002-06-06 09:57  Fançois Pons

	* URPM.pm, URPM.xs, build_rpm, perl-URPM.spec: 0.03-1mdk

2002-06-05 16:44  Fançois Pons

	* URPM.xs, perl-URPM.spec, t/rpmdb.t: 0.02-3mdk

2002-06-05 08:03  Fançois Pons

	* URPM.xs, URPM/Build.pm, perl-URPM.spec: log on rpmdb open/close.

2002-06-03 11:00  Fançois Pons

	* URPM.pm, URPM/Build.pm, perl-URPM.spec: cleaned URPM::Build to
	  accept extended parameter list and -w clean.
	  0.02.

2002-05-31 10:48  Fançois Pons

	* perl-URPM.spec: added Packager field.

2002-05-31 10:45  Fançois Pons

	* build_rpm, perl-URPM.spec: initial revision.

2002-05-31 10:21  Fançois Pons

	* MANIFEST, Makefile.PL, README, URPM, URPM.pm, URPM.xs,
	  URPM/Build.pm, t, t/rpmdb.t, t/synthesis.t, typemap: initial
	  revision.

2002-05-31 10:21  

	* soft/rpm/perl-URPM/branches, soft/rpm/perl-URPM/tags, .: New
	  repository initialized by cvs2svn.

